Upstream information

CVE-2015-8660 at MITRE

Description

The ovl_setattr function in fs/overlayfs/inode.c in the Linux kernel through 4.3.3 attempts to merge distinct setattr operations, which allows local users to bypass intended access restrictions and modify the attributes of arbitrary overlay files via a crafted application.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.2 3.5
Vector AV:L/AC:L/Au:N/C:C/I:C/A:C AV:L/AC:H/Au:S/C:P/I:P/A:P
Access Vector Local Local
Access Complexity Low High
Authentication None Single
Confidentiality Impact Complete Partial
Integrity Impact Complete Partial
Availability Impact Complete Partial
SUSE Bugzilla entries: 923755 [RESOLVED / FIXED], 960281 [RESOLVED / FIXED], 960329 [RESOLVED / FIXED], 963994 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Build System Kit 12 SP1
  • kernel-zfcpdump >= 3.12.53-60.30.1
Patchnames:
SUSE-SLE-BSK-12-SP1-2016-329
SUSE Linux Enterprise Desktop 12 SP1
  • kernel-default >= 3.12.53-60.30.1
  • kernel-default-devel >= 3.12.53-60.30.1
  • kernel-default-extra >= 3.12.53-60.30.1
  • kernel-devel >= 3.12.53-60.30.1
  • kernel-macros >= 3.12.53-60.30.1
  • kernel-source >= 3.12.53-60.30.1
  • kernel-syms >= 3.12.53-60.30.1
  • kernel-xen >= 3.12.53-60.30.1
  • kernel-xen-devel >= 3.12.53-60.30.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-329
SUSE Linux Enterprise High Availability 15
  • cluster-md-kmp-default >= 4.12.14-23.1
  • dlm-kmp-default >= 4.12.14-23.1
  • gfs2-kmp-default >= 4.12.14-23.1
  • ocfs2-kmp-default >= 4.12.14-23.1
Patchnames:
SUSE Linux Enterprise High Availability 15 GA cluster-md-kmp-default
SUSE Linux Enterprise Live Patching 12
  • kgraft-patch-3_12_49-11-default >= 3-8.2
  • kgraft-patch-3_12_49-11-xen >= 3-8.2
  • kgraft-patch-3_12_51-60_20-default >= 3-2.1
  • kgraft-patch-3_12_51-60_20-xen >= 3-2.1
  • kgraft-patch-3_12_51-60_25-default >= 2-2.1
  • kgraft-patch-3_12_51-60_25-xen >= 2-2.1
  • kgraft-patch-3_12_53-60_30-default >= 1-2.1
  • kgraft-patch-3_12_53-60_30-xen >= 1-2.1
  • kgraft-patch-SLE12-SP1_Update_0 >= 3-8.2
  • kgraft-patch-SLE12-SP1_Update_1 >= 3-2.1
  • kgraft-patch-SLE12-SP1_Update_2 >= 2-2.1
  • kgraft-patch-SLE12-SP1_Update_3 >= 1-2.1
Patchnames:
SUSE-SLE-Live-Patching-12-2016-329
SUSE-SLE-Live-Patching-12-2016-439
SUSE-SLE-Live-Patching-12-2016-441
SUSE-SLE-Live-Patching-12-2016-442
SUSE Linux Enterprise Module for Basesystem 15
  • kernel-default >= 4.12.14-23.1
  • kernel-default-devel >= 4.12.14-23.1
  • kernel-devel >= 4.12.14-23.1
  • kernel-macros >= 4.12.14-23.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA kernel-default
SUSE Linux Enterprise Module for Development Tools 15
  • kernel-docs >= 4.12.14-23.1
  • kernel-obs-build >= 4.12.14-23.1
  • kernel-source >= 4.12.14-23.1
  • kernel-syms >= 4.12.14-23.1
  • kernel-vanilla-base >= 4.12.14-23.1
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 GA kernel-docs
SUSE Linux Enterprise Module for Legacy Software 15
  • reiserfs-kmp-default >= 4.12.14-23.1
Patchnames:
SUSE Linux Enterprise Module for Legacy Software 15 GA reiserfs-kmp-default
SUSE Linux Enterprise Module for Live Patching 15
  • kernel-default-livepatch >= 4.12.14-23.1
Patchnames:
SUSE Linux Enterprise Module for Live Patching 15 GA kernel-default-livepatch
SUSE Linux Enterprise Module for Public Cloud 12
  • kernel-ec2 >= 3.12.53-60.30.1
  • kernel-ec2-devel >= 3.12.53-60.30.1
  • kernel-ec2-extra >= 3.12.53-60.30.1
Patchnames:
SUSE-SLE-Module-Public-Cloud-12-2016-329
SUSE Linux Enterprise Server 12 SP1
  • kernel-default >= 3.12.53-60.30.1
  • kernel-default-base >= 3.12.53-60.30.1
  • kernel-default-devel >= 3.12.53-60.30.1
  • kernel-default-man >= 3.12.53-60.30.1
  • kernel-devel >= 3.12.53-60.30.1
  • kernel-macros >= 3.12.53-60.30.1
  • kernel-source >= 3.12.53-60.30.1
  • kernel-syms >= 3.12.53-60.30.1
  • kernel-xen >= 3.12.53-60.30.1
  • kernel-xen-base >= 3.12.53-60.30.1
  • kernel-xen-devel >= 3.12.53-60.30.1
  • lttng-modules >= 2.7.0-3.1
  • lttng-modules-kmp-default >= 2.7.0_k3.12.53_60.30-3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-329
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • kernel-default >= 3.12.53-60.30.1
  • kernel-default-base >= 3.12.53-60.30.1
  • kernel-default-devel >= 3.12.53-60.30.1
  • kernel-default-man >= 3.12.53-60.30.1
  • kernel-devel >= 3.12.53-60.30.1
  • kernel-macros >= 3.12.53-60.30.1
  • kernel-source >= 3.12.53-60.30.1
  • kernel-syms >= 3.12.53-60.30.1
  • kernel-xen >= 3.12.53-60.30.1
  • kernel-xen-base >= 3.12.53-60.30.1
  • kernel-xen-devel >= 3.12.53-60.30.1
  • lttng-modules >= 2.7.0-3.1
  • lttng-modules-kmp-default >= 2.7.0_k3.12.53_60.30-3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-329
SUSE Linux Enterprise Software Development Kit 12 SP1
  • kernel-docs >= 3.12.53-60.30.2
  • kernel-obs-build >= 3.12.53-60.30.2
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-329
SUSE Linux Enterprise Workstation Extension 12 SP1
  • kernel-default >= 3.12.53-60.30.1
  • kernel-default-extra >= 3.12.53-60.30.1
Patchnames:
SUSE-SLE-WE-12-SP1-2016-329
SUSE Linux Enterprise Workstation Extension 15
  • kernel-default-extra >= 4.12.14-23.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 GA kernel-default-extra
openSUSE Leap 15.0
  • kernel-default >= 4.12.14-lp150.11.4
  • kernel-vanilla-base >= 4.12.14-lp150.11.4
Patchnames:
openSUSE Leap 15.0 GA kernel-default
openSUSE Tumbleweed
  • kernel-debug >= 4.8.13-1.1
  • kernel-debug-base >= 4.8.13-1.1
  • kernel-debug-devel >= 4.8.13-1.1
  • kernel-default >= 4.8.13-1.1
  • kernel-default-base >= 4.8.13-1.1
  • kernel-default-devel >= 4.8.13-1.1
  • kernel-devel >= 4.8.13-1.1
  • kernel-docs >= 4.8.13-1.1
  • kernel-docs-html >= 4.8.13-1.1
  • kernel-docs-pdf >= 4.8.13-1.1
  • kernel-macros >= 4.8.13-1.1
  • kernel-obs-build >= 4.8.13-1.1
  • kernel-obs-qa >= 4.8.13-1.1
  • kernel-pae >= 4.8.13-1.1
  • kernel-pae-base >= 4.8.13-1.1
  • kernel-pae-devel >= 4.8.13-1.1
  • kernel-source >= 4.8.13-1.1
  • kernel-source-vanilla >= 4.8.13-1.1
  • kernel-syms >= 4.8.13-1.1
  • kernel-syzkaller >= 4.8.13-1.1
  • kernel-syzkaller-base >= 4.8.13-1.1
  • kernel-syzkaller-devel >= 4.8.13-1.1
  • kernel-vanilla >= 4.8.13-1.1
  • kernel-vanilla-base >= 4.8.13-1.1
  • kernel-vanilla-devel >= 4.8.13-1.1
Patchnames:
openSUSE Tumbleweed GA kernel-debug


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP3 kernel-source Not affected
SUSE Linux Enterprise Desktop 11 SP4 kernel-source Not affected
SUSE Linux Enterprise Desktop 12 GA kernel-source Not affected
SUSE Linux Enterprise Desktop 12 SP1 kernel-source Released
SUSE Linux Enterprise Server 11 SP3 kernel-source Not affected
SUSE Linux Enterprise Server 11 SP4 kernel-source Not affected
SUSE Linux Enterprise Server 12 GA kernel-source Not affected
SUSE Linux Enterprise Server 12 SP1 kernel-source Released
SUSE Linux Enterprise Server for VMWare 11 SP3 kernel-source Not affected